@font-face {
font-family: 'iranyekan';
src: url('../fonts/iranyekanr.woff2') format('woff2');
font-weight: normal;
font-style: normal;
font-feature-settings: "ss02";
font-display: swap;

}

@font-face {
font-family: 'iranyekan';
src: url('../fonts/iranyekanb.woff2') format('woff2');
font-weight: bold;
font-style: normal;
font-feature-settings: "ss02";
font-display: swap;

}
/* ==========================
        HEADER
========================== */
.site-header{

    position:fixed;

    top:25px;

    left:0;

    width:100%;

    display:flex;

    justify-content:center;

    z-index:9999;

    transition:.35s ease;

}

.site-header.scrolled{

    top:15px;

}

.header-container{

    width:min(1180px,92%);

    height:76px;

    display:flex;

    align-items:center;

    justify-content:space-between;

    padding:0 30px;

    border-radius:22px;

    background:#fffcfce8;

    backdrop-filter:blur(20px);

    -webkit-backdrop-filter:blur(20px);

    border:1px solid var(--border);

    box-shadow:
    0 10px 35px rgba(0,0,0,.28);

    transition:.35s ease;

}

.site-header.scrolled .header-container{

    height:68px;

    background:rgba(18,18,22,.75);

}




.desktop-menu{

    display:flex;

    gap:42px;

}

.desktop-menu a{

    color:#1e1e1e;

    text-decoration:none;

    font-size:15px;

    position:relative;

    transition:.3s;

}

.desktop-menu a::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-8px;

    width:0;

    height:2px;

    border-radius:50px;

    background:var(--primary);

    transition:.35s;

}

.desktop-menu a:hover{

    color:#080b16;

}

.desktop-menu a:hover::after{

    width:100%;

}

.header-btn{

    width:155px;

    height:48px;

    border-radius:50px;

    display:flex;

    align-items:center;

    justify-content:center;

    text-decoration:none;

    color:#fff;

    font-weight:700;

    background:linear-gradient(135deg,#6C63FF,#867DFF);

    transition:.35s;

}

.header-btn:hover{

    transform:translateY(-3px);

    box-shadow:

    0 12px 30px rgba(108,99,255,.45);

}


/*==========================
      HEADER GLOW
===========================*/

.site-header::before{

    content:"";

    position:absolute;

    inset:auto;

    width:220px;

    height:70px;

    left:50%;

    transform:translateX(-50%);

    bottom:-28px;

    background:#6C63FF;

    filter:blur(65px);

    opacity:.28;

    z-index:-1;

    animation:headerGlow 5s ease-in-out infinite;

}

@keyframes headerGlow{

0%{

transform:translateX(-50%) scale(.9);

opacity:.15;

}

50%{

transform:translateX(-50%) scale(1.15);

opacity:.35;

}

100%{

transform:translateX(-50%) scale(.9);

opacity:.15;

}

}
.header-container::before{

content:"";

position:absolute;

top:0;

left:-120%;

width:60%;

height:100%;

background:linear-gradient(

90deg,

transparent,

rgba(255,255,255,.12),

transparent

);

transform:skewX(-30deg);

transition:1.2s;

}

.header-container:hover::before{

left:170%;

}

.header-btn{

position:relative;

overflow:hidden;

width:165px;

height:50px;

border-radius:60px;

display:flex;

align-items:center;

justify-content:center;

text-decoration:none;

color:#fff;

font-weight:700;

background:linear-gradient(135deg,#6C63FF,#8B5CF6);

transition:.35s;

}

.header-btn::before{

content:"";

position:absolute;

left:-120%;

top:0;

width:60%;

height:100%;

background:rgba(255,255,255,.25);

transform:skewX(-25deg);

transition:.7s;

}

.header-btn:hover::before{

left:170%;

}

.header-btn:hover{

transform:translateY(-4px);

box-shadow:

0 15px 40px rgba(108,99,255,.45);

}
.header-btn{

position:relative;

overflow:hidden;

width:165px;

height:50px;

border-radius:60px;

display:flex;

align-items:center;

justify-content:center;

text-decoration:none;

color:#fff;

font-weight:700;

background:linear-gradient(135deg,#6C63FF,#8B5CF6);

transition:.35s;

}

.header-btn::before{

content:"";

position:absolute;

left:-120%;

top:0;

width:60%;

height:100%;

background:rgba(255,255,255,.25);

transform:skewX(-25deg);

transition:.7s;

}

.header-btn:hover::before{

left:170%;

}

.header-btn:hover{

transform:translateY(-4px);

box-shadow:

0 15px 40px rgba(108,99,255,.45);

}
.header-container::after{

content:"";

position:absolute;

bottom:-1px;

left:0;

width:100%;

height:1px;

background:linear-gradient(

90deg,

transparent,

#6C63FF,

#00E5FF,

transparent

);

opacity:.7;

}
.site-logo{
width:130px;
height:auto;
}
/* اصلاح تداخل نمایش */
@media (min-width: 769px) {
    .mobile-header, .mobile-panel, .mobile-overlay, .top-bar-announcement {
        display: none !important;
    }
}
/* فقط در حالت موبایل نمایش داده شود */
@media (max-width: 768px) {


.site-header {
  display:none !important;
}


.mobile-header {
    display: flex!important;
    justify-content: space-between;
    align-items: center;
    padding: 15px 15px;
    background: #fff;
    position: relative;
    border-bottom: 1px solid #eee;
}
.mobile-logo{
  position:absolute;
  left:50%;
  transform:translateX(-50%);


}

.mobile-logo img{
  max-width:95px;
  height:auto;

}
/* آیکون های سمت راست (جستجو و پروفایل) */
.mobile-header-left {
    display: flex;
    align-items: center;
    gap: 15px; /* فاصله بین دو آیکون */
}

.mobile-header-left svg {
    display: block;
    color: #000; /* رنگ مشکی خالص */
    transition: 0.3s;
}

.mobile-header-left a, 
.mobile-header-left button {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    line-height: 0;
}
.mobile-menu-btn {
    display: flex;
    align-items: center; /* تراز عمودی متن و آیکون */
    gap: 5px; /* فاصله بین آیکون و کلمه منو */
    background:var(--primary);
    border: none;
    padding: 4px 7px;
    cursor: pointer;
    color: #f8f8f8; /* رنگ دلخواه */ 
    border-radius: 30px;
}

.mobile-menu-btn i {
    font-style: normal;
    font-size: 24px; /* سایز آیکون همبرگری */
    line-height: 1;
    background-color:#f4f4f4 ;
    border-radius: 50px;
    color: #000;
    padding: 7px;
}

.mobile-menu-btn span {
    font-size: 14px; /* سایز کلمه منو */
    font-weight: bold;
    font-family: inherit;
}

/* overlay */
.mobile-overlay{
  position:fixed;
  inset:0;
  background:rgba(0,0,0,.4);
  opacity:0;
  visibility:hidden;
  transition:.3s;
  z-index:9998;
}

.mobile-overlay.active{
  opacity:1;
  visibility:visible;
}

.mobile-panel {
    position: fixed;
    top: 0;
    left: 0; 
    width: 280px;
    max-width: 85%;
    height: 100%;
    background: #fff;
    z-index: 9999;
    transform: translateX(-101%);
    transition: transform .3s ease-in-out;
    display: flex;
    flex-direction: column;
    box-shadow: none; /* وقتی بسته است سایه نداشته باشه */
}

.mobile-panel.active {
    transform: translateX(0);
    box-shadow: 5px 0 15px rgba(0,0,0,0.1); /* فقط وقتی باز شد سایه بدهد */
}

/* top */
.mobile-panel-top{
  display:flex;
  align-items:center;
  gap:10px;
  padding:10px;
  border-bottom:1px solid #eee;
}


.panel-search{
  flex:1;
}

.panel-search input{
  width:100%;
  padding:10px;
  border:1px solid #ddd;
}

.close-panel{
background:none;
 color:#a87c77;
  border:none;
  font-size:20px;
 
}

/* tabs */
.panel-tabs{
  display:flex;
  border-bottom:1px solid #eee;
}

.panel-tabs button{
  flex:1;
  padding:12px;
  border:none;
  background:#f5f5f5;
  color: #000;
  font-size: 12px;
  font-weight: bold;
}

.panel-tabs button.active{
  background:#fff;
  border-bottom:2px solid #a87c77;
  font-weight:bold;
}

/* content */
.panel-content{
  flex:1;
  overflow-y:auto;
}

.tab-content{
  display:none;
}

.tab-content.active{
  display:block;
}

}

@media (max-width: 768px) {
.mobile-menu, .mobile-cats {
    list-style: none;
    padding: 0;
    margin: 0;
    display: block !important;
}

.mobile-menu li, .mobile-cats li {
    border-bottom: 1px solid #eee;
    width: 100%;
    display: block; 
}

.mobile-menu li a, .mobile-cats li a {
    display: block;
    padding: 15px;
    color: #333 !important;
    text-decoration: none;
    font-size: 14px;
    text-align: right; /* تراز راست برای زبان فارسی */
    transition: 0.3s;
}

/* افکت ساده هنگام لمس یا هاور */
.mobile-menu li a:active, .mobile-cats li a:active {
    background-color: #f9f9f9;
}
.cat-item-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row-reverse; /* برای قرار گرفتن فلش در سمت چپ در سایت فارسی */
    border-bottom: 1px solid #eee;
}

.cat-item-wrapper a {
    flex: 1;
    padding: 14px;
    border-bottom: none !important;
}

.toggle-child {
    background: #f1f1f1;
    border: none;
    border-left: 1px solid #eee;
    width: 45px;
    height: 50px;
    cursor: pointer;
    transition: 0.3s;
    font-size: 12px;
    color: #666;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* استایل زیرمنوها */
.sub-cats {
    list-style: none;
    padding: 0;
    margin: 0;
    background: #f9f9f9;
}

.sub-cats li a {
    padding: 12px 30px 12px 15px !important; 
    font-size: 13px;
    color: #555;
}


.toggle-child.open {
    transform: rotate(90deg);
    background: var(--accent);
    color: #fff;
}
.sub-cats {
        list-style: none;
        padding: 0;
        margin: 0;
        background: #f9f9f9;
    }

    .sub-cats li a {
        display: block;
        padding: 12px 30px 12px 15px !important;
        font-size: 13px;
        color: #555;
    }

    /* برای سطح سوم کمی تو رفتگی بیشتر */
    .sub-cats .sub-cats li a {
        padding-right: 45px !important;
        background: #fff;
    }}
.uder-header-mobile {
    margin: 20px;
}




